<?php
/**
* Single Post Options.
*
* @package Alok
*/

$alok_default = alok_get_default_theme_options();

$wp_customize->add_section( 'single_post_setting',
	array(
	'title'      => esc_html__( 'Single Post Settings', 'alok' ),
	'priority'   => 35,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);


$wp_customize->add_setting('twp_navigation_type',
    array(
        'default' => $alok_default['twp_navigation_type'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_single_pagination_layout',
    )
);
$wp_customize->add_control('twp_navigation_type',
    array(
        'label' => esc_html__('Single Post Navigation Type', 'alok'),
        'section' => 'single_post_setting',
        'type' => 'select',
        'choices' => array(
                'no-navigation' => esc_html__('Disable Navigation','alok' ),
                'norma-navigation' => esc_html__('Next Previous Navigation','alok' ),
                'ajax-next-post-load' => esc_html__('Ajax Load Next 3 Posts Contents','alok' )
            ),
    )
);
