<?php
/**
* Body Classes.
*
* @package Alok
*/
 
 if (!function_exists('alok_body_classes')) :

    function alok_body_classes($classes) {

        $alok_default = alok_get_default_theme_options();
        $ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$alok_default['ed_desktop_menu'] );
        global $post;
        
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }
        if( $ed_desktop_menu ){

            $classes[] = 'enabled-desktop-menu';

        }else{

            $classes[] = 'disabled-desktop-menu';

        }

        return $classes;
    }

endif;

add_filter('body_class', 'alok_body_classes');